
import pandas as pd #importing the pandas library
df = pd.read_table("data_files/class.tsv")  #reading the file "class.tsv", present in the "data_files" folder
print(df.head()) # showing the 5 first lines of the DataFrame to check the reading


# make sure that you are executing this code from a directory that contains the data_files directory.
# otherwise adapt the adress of the file accordingly
df = pd.read_table("data_files/mice_data.csv")  # .csv -> comma-separated values
print(df.head()) # reading without the proper separator leads to incorrect importation

#now with the correct separator
df = pd.read_table("data_files/mice_data.csv" , sep=’,’)  # .csv -> comma-separated values
print(df.head())


# no special index
df = pd.read_table("data_files/GSE41558_series_matrix.reduced.tsv")
print(df.head())

# using the first column as index
df = pd.read_table("data_files/GSE41558_series_matrix.reduced.tsv" , index_col=0)
print(df.head())


df = pd.read_table("data_files/class.tsv") 
print(df.shape) # df.shape is a tuple containing the number of lines and number of columns of the DataFrame

print(df.columns) # df.columns contains the columns names of the DataFrame

print(df.dtypes) # df.dtypes contains the data type of each columns

